FoxData Open API
My License
My License
  1. 3. Ranking Trend Analysis
  • I. Quick Start
    • 1. API Overview
    • 2. Quick Start
    • 3. Authorization
    • 4. Request & Response
    • 5. Rate Limiting
  • II. List of Interfaces
    • 1. Basic Application Services
      • 1001-App Info
      • 1002-App Extension Info
      • 1003-Developer App
      • 1004-App Rank History
      • 1005-Recommend Record
      • 1006-App Rating Comment
      • 1007-App Versions
      • 1008-App Competitors
    • 2. Application Data Analysis
      • 2001-Visibility History
      • 2002-App Competitors Info
      • 2003-Keywords Metrics
      • 2004-Keywords Explore
      • 2005-ASA Keywords
      • 2006-App CPP
      • 2007-App Tag
      • 2008-App Download/Revenue
      • 2009-Recommend Keywords
      • 2010-App UserActive
      • 2011-App Info
    • 3. Ranking Trend Analysis
      • 3001-Ranking Explore
        POST
      • 3002-Global Ranking
        POST
      • 3003-Volume Ranking
        POST
      • 3004-Download/Revenue Ranking
        POST
      • 3005-Active Ranking
        POST
      • 3006-App Release Info
        POST
      • 3007-Clear Keywords
        POST
      • 3008-Clear Ranking
        POST
    • 4. Ad Creative Analysis
      • 4001-Asa App
      • 4002-Ad ASA Keywords
      • 4003-ASA App Info
      • 4004-Cpp Ad
    • 5. ASA Real-Time Monitoring
      • 5001-ASA Task Initiation (Periodic)
      • 5001-ASA Task Query (Periodic)
      • 5001-ASA Task Results (Periodic)
    • 6. Other Services
      • 6001-App Search
      • 6002-Ai Push Keywords
      • 9001 - Paginated Query Interface
  • III. Data Dictionary and Definitions
    • 1. Application Classification Code
    • 2. Time and Location Information
    • 3. Regional Language Comparison Chart
    • 4. Explanation of Data Update Frequency
  • IV. Appendix
    • 1. Release Notes
    • 2. FAQ
    • 3. Contact and Support
  1. 3. Ranking Trend Analysis

3008-Clear Ranking

POST
/ranking/clear-ranking

Request

Authorization
Add parameter in header
x-openapi-key
Example:
x-openapi-key: ********************
Header Params

Body Params application/json

Example
{
    "region": "string",
    "store": "AS",
    "appId": "string",
    "category": "string",
    "limit": "{size: 100, point: 10}",
    "start": "string",
    "end": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.foxdata.com/apiv1/ranking/clear-ranking' \
--header 'x-openapi-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "region": "string",
    "store": "AS",
    "appId": "string",
    "category": "string",
    "limit": "{size: 100, point: 10}",
    "start": "string",
    "end": "string"
}'

Responses

🟢200
application/json
Body

Example
{
  "requestParam": {
    "region": "",
    "store": "",
    "appId": "",
    "category": "",
    "limit": "",
    "start": "",
    "end": ""
  },
  "result": [
    {
      "date": "",
      "ranking": [
        {
          "appId": "",
          "icon": "",
          "title": "",
          "status": 0,
          "before": [
            {
              "category": "",
              "rank": 0
            }
          ],
          "rating": 0.0,
          "updateDate": 0,
          "releaseDate": 0
        }
      ]
    }
  ],
  "creditsCost": {
    "requestCredits": 0,
    "baseCredits": 0,
    "extraCredits": 0,
    "totalCostCredits": 0
  },
  "next": {
    "taskId": "",
    "pageKey": ""
  }
}
Modified at 2026-03-25 06:37:08
Previous
3007-Clear Keywords
Next
4001-Asa App
Built with